## otf2 3.0

=== debian/changelog ===
otf2 (3.0-3) unstable; urgency=medium

  * patches/rename: Fix -lotf2 into -lopen-trace-format2 in otf2-backend.pc.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 22 Aug 2022 11:35:39 +0200

otf2 (3.0-2) unstable; urgency=medium

  * patches/CFLAGS: replace with passing CFLAGS explicitly in debian/rules,
    upstream thinks that's easy enough.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 21 Aug 2022 20:13:41 +0200

otf2 (3.0-1) unstable; urgency=low

  * Initial release (Closes: #837731, #974002)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 18 Aug 2022 19:34:24 +0200
