=== debian/control ===
Source: otf2
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python, dh-exec,
  uncrustify,
  doxygen,
  graphviz,
  texlive-latex-base,
  texlive-binaries,
  python3-all,
  python3-jinja2,
  python3-sphinx,
  python3-six,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Section: libs
Homepage: https://www.vi-hps.org/projects/score-p
Vcs-Git: https://salsa.debian.org/debian/otf2.git
Vcs-Browser: https://salsa.debian.org/debian/otf2

Package: otf2-tools
Section: science
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open Trace Format support library - tools
 OTF is a standard trace format used by several high-performance tools,
 using an ASCII encoding, which supports multiple streams. The libotf2
 provides support for reading/writing them.
 .
 This package contains programs to manipulate otf files.

Package: libopen-trace-format2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopen-trace-format2-10 (= ${binary:Version})
Description: Open Trace Format support library - development files
 OTF is a standard trace format used by several high-performance tools,
 using an ASCII encoding, which supports multiple streams. The libotf2
 provides support for reading/writing them.
 .
 This package contains development files to compile against
 libopen-trace-format.

Package: libotf2-trace-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopen-trace-format2-dev
Description: Open Trace Format support library - compatibility symlinks
 OTF is a standard trace format used by several high-performance tools,
 using an ASCII encoding, which supports multiple streams. The libotf2
 provides support for reading/writing them.
 .
 This package contains compatibility symlinks to make -lotf2 link with
 libopen-trace-format2-dev.  This should however be avoided and use
 pkg-config otf2 instead.

Package: libopen-trace-format2-10
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Open Trace Format support library - shared library
 OTF is a standard trace format used by several high-performance tools,
 using an ASCII encoding, which supports multiple streams. The libotf2
 provides support for reading/writing them.
 .
 This package contains the libotf shared library.

Package: python3-otf2
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Open Trace Format support library - Python3 bindings
 OTF is a standard trace format used by several high-performance tools,
 using an ASCII encoding, which supports multiple streams. The libotf2
 provides support for reading/writing them.
 .
 This package contains the libotf Python 3 bindings.
