## otf2 3.0.2

=== debian/changelog ===
otf2 (3.0.2-2) unstable; urgency=medium

  * patches/afs_gcc_atomic_builtins: Fix build on architectures where
    libatomic is needed (Closes: Bug#1033672)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 31 Mar 2023 21:39:48 +0200

otf2 (3.0.2-1) unstable; urgency=medium

  * New upstream release.
    - patches/autoreconf: Upstreamed.
    - patches/instruction_set: Fix build on non-mainstream archs.
  * control, rules: Replace dh-python and --with python3 with
    dh-sequence-python3.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Dec 2022 19:24:27 +0100

otf2 (3.0-5) unstable; urgency=medium

  * debian/tests-patches/use_system_otf: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Aug 2022 01:44:44 +0200

otf2 (3.0-4) unstable; urgency=medium

  * control: Make libotf2-trace-dev conflict with any future libotf2-dev,
    upstream does not want to change their name.
  * patches/rename: Make otf2-config use the otf2 name as upstream wants.
  * libopen-trace-format2-dev, libotf2-trace-dev.install: Move to
    libotf2-trace-dev otf2-config accordingly.
  * control: Make libotf2-trace-dev replace+break old
    libopen-trace-format2-dev, accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Aug 2022 01:07:43 +0200
