=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: otf2
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python, dh-exec,
+Build-Depends: debhelper-compat (= 12), dh-sequence-python3, dh-exec,
   uncrustify,
   doxygen,
   graphviz,
@@ -34,6 +34,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopen-trace-format2-10 (= ${binary:Version})
+Multi-Arch: same
 Description: Open Trace Format support library - development files
  OTF is a standard trace format used by several high-performance tools,
  using an ASCII encoding, which supports multiple streams. The libotf2
@@ -46,6 +47,9 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopen-trace-format2-dev
+Conflicts: libotf2-dev
+Replaces: libopen-trace-format2-dev (<< 3.0-4)
+Breaks: libopen-trace-format2-dev (<< 3.0-4)
 Description: Open Trace Format support library - compatibility symlinks
  OTF is a standard trace format used by several high-performance tools,
  using an ASCII encoding, which supports multiple streams. The libotf2
