## otf2 3.0.3

=== debian/changelog ===
otf2 (3.0.3-3.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:10:56 +1100

otf2 (3.0.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063188

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 19:08:35 +0000

otf2 (3.0.3-3) unstable; urgency=medium

  * patches/instruction_set: Fix build on riscv.
  * clean: Drop generated files (Closes: Bug#1047592)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Dec 2023 01:28:22 +0100

otf2 (3.0.3-2) unstable; urgency=medium

  * patches/instruction_set: Reintroduce to support 32bit archs without 64bit
    atomic.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Jun 2023 23:44:14 +0200

otf2 (3.0.3-1) unstable; urgency=medium

  * New upstream release.
    - patches/instruction_set: Upstreamed.
    - patches/afs_gcc_atomic_builtins: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Jun 2023 15:05:45 +0200
