=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: otf2
 Priority: optional
-Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-sequence-python3, dh-exec,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12), dh-sequence-python3, dh-exec,
   uncrustify,
   doxygen,
   graphviz,
@@ -33,7 +34,7 @@
 Package: libopen-trace-format2-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libopen-trace-format2-10 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libopen-trace-format2-10t64 (= ${binary:Version})
 Multi-Arch: same
 Description: Open Trace Format support library - development files
  OTF is a standard trace format used by several high-performance tools,
@@ -59,7 +60,10 @@
  libopen-trace-format2-dev.  This should however be avoided and use
  pkg-config otf2 instead.
 
-Package: libopen-trace-format2-10
+Package: libopen-trace-format2-10t64
+Provides: ${t64:Provides}
+Replaces: libopen-trace-format2-10
+Breaks: libopen-trace-format2-10 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
