=== debian/changelog ===
otf2 (3.1.1-3) unstable; urgency=medium

  * patches/rename: Rename in otf2-config too.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Aug 2025 22:58:26 +0200

otf2 (3.1.1-2) unstable; urgency=medium

  * libotf2-trace-dev.install: Install otf2.summary.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Aug 2025 09:35:45 +0200

otf2 (3.1.1-1) unstable; urgency=medium

  * New upstream release.
    - patches/rename, tests-patches/use_system_otf: Rename library from
      libopen-trace-format2 to libopen_trace_format2.
    - control: Rename libopen-trace-format2-10t64 to libopen-trace-format2-10u
      according to library rename.
    - patches/reproducible: Upstreamed.
    - *.install: Drop static libraries.
  * control: Add native qualifiers for the build-python build-deps.
  * rules: Use triplets for compilers.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.2, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 12 Aug 2025 00:06:16 +0200
