=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: otf2
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12), dh-sequence-python3, dh-exec,
+Maintainer: Samuel Thibault <sthibault@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), dh-sequence-python3, dh-exec,
   uncrustify,
   doxygen,
   graphviz,
   texlive-latex-base,
   texlive-binaries,
-  python3-all,
-  python3-jinja2,
-  python3-sphinx,
+  python3-all:native,
+  python3-jinja2:native,
+  python3-sphinx:native,
   python3-six,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://www.vi-hps.org/projects/score-p
 Vcs-Git: https://salsa.debian.org/debian/otf2.git
@@ -34,7 +33,7 @@
 Package: libopen-trace-format2-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libopen-trace-format2-10t64 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libopen-trace-format2-10u (= ${binary:Version})
 Multi-Arch: same
 Description: Open Trace Format support library - development files
  OTF is a standard trace format used by several high-performance tools,
@@ -60,10 +59,7 @@
  libopen-trace-format2-dev.  This should however be avoided and use
  pkg-config otf2 instead.
 
-Package: libopen-trace-format2-10t64
-Provides: ${t64:Provides}
-Replaces: libopen-trace-format2-10
-Breaks: libopen-trace-format2-10 (<< ${source:Version})
+Package: libopen-trace-format2-10u
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
