=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,10 @@
 # Force automake to be verbose
 export V=1
 
+export DEB_HOST_MULTIARCH
+
 %:
-	dh $@ --with=python3
+	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean
