=== debian/tests/control ===
Tests: tests
Depends: libotf2-trace-dev,
         @builddeps@
