=== debian/watch ===
version=4
https://perftools.pages.jsc.fz-juelich.de/cicd/otf2/ https://perftools.pages.jsc.fz-juelich.de/cicd/otf2/tags/otf2-[0-9.]+/otf2-([0-9.]+).tar.gz
